Bug 979043 - no hdmi output detected by nouveau
no hdmi output detected by nouveau
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 09:25 EDT by Edouard Bourguignon
Modified: 2014-12-30 04:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-30 04:52:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg while using nouveau (87.42 KB, text/plain)
2014-01-13 05:04 EST, Edouard Bourguignon
no flags Details

  None (edit)
Description Edouard Bourguignon 2013-06-27 09:25:07 EDT
Description of problem:
When using nouveau driver on out of the box F19, xrandr doesn't detect HDMI output, no signal is sent to the display. However VGA output is working. HDMI output is only working with nvidia proprietary driver.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64

How reproducible:
Static

Steps to Reproduce:
1. Install F19
2. Start X
3. xrandr -q

Actual results:
no output on HDMI

Expected results:
output on HDMI


Additional info:

$ xrandr --prop
Screen 0: minimum 320 x 200, current 3200 x 1200, maximum 8192 x 8192
LVDS-1 connected primary 1920x1200+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
        EDID: 
                00ffffffffffff0030e400f200000000
                0012010380211578eabe859859528c28
                26505400000001010101010101010101
                010101010101904080b470b070401e1e
                36004bcf100000190000000000000000
                00000000000000000000000000fe004c
                4720446973706c61790a2020000000fe
                004c503135345755312d544c43320011
        dithering depth: auto 
                supported: auto6 bpc8 bpc
        dithering mode: auto 
                supported: autooffstatic 2x2dynamic 2x2
        scaling mode: Full 
                supported: NoneFullCenterFull aspect
        color vibrance: 150 
                range: (0, 200)
        vibrant hue: 90 
                range: (0, 180)
   1920x1200      60.0*+   59.9  
   1920x1080      60.0  
   1600x1200      59.9  
   1680x1050      60.0  
   1400x1050      60.0  
   1280x1024      59.9  
   1280x960       59.9  
   1152x864       60.0  
   1024x768       59.9  
   800x600        59.9  
   640x480        59.4  
   720x400        59.6  
   640x400        60.0  
   640x350        59.8  
DVI-D-1 disconnected (normal left inverted right x axis y axis)
        dithering depth: auto 
                supported: auto6 bpc8 bpc
        dithering mode: auto 
                supported: autooffstatic 2x2dynamic 2x2
        scaling mode: Full 
                supported: NoneFullCenterFull aspect
        color vibrance: 150 
                range: (0, 200)
        vibrant hue: 90 
                range: (0, 180)
        underscan vborder: 0 
                range: (0, 128)
        underscan hborder: 0 
                range: (0, 128)
        underscan: off 
                supported: autooffon
DVI-D-2 disconnected (normal left inverted right x axis y axis)
        dithering depth: auto 
                supported: auto6 bpc8 bpc
        dithering mode: auto 
                supported: autooffstatic 2x2dynamic 2x2
        scaling mode: Full 
                supported: NoneFullCenterFull aspect
        color vibrance: 150 
                range: (0, 200)
        vibrant hue: 90 
                range: (0, 180)
        underscan vborder: 0 
                range: (0, 128)
        underscan hborder: 0 
                range: (0, 128)
        underscan: off 
                supported: autooffon
VGA-1 connected 1280x1024+1920+0 (normal left inverted right x axis y axis) 376mm x 301mm
        EDID: 
                00ffffffffffff005a631c7201010101
                0910010308261e782efd56a5534a9d24
                144f54bfef8081808140714f61594559
                315901010101302a009851002a403070
                1300782d1100001e000000ff00505737
                3036303930303230340a000000fd0032
                551e520e000a202020202020000000fc
                0056413931322d3453455249455300fe
        scaling mode: None 
                supported: NoneFullCenterFull aspect
        color vibrance: 150 
                range: (0, 200)
        vibrant hue: 90 
                range: (0, 180)
   1280x1024      60.0*+   75.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       85.0     75.1     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     66.7     60.0  

01:00.0 VGA compatible controller: NVIDIA Corporation G96GLM [Quadro FX 770M] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device 30e7
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Memory at d0000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at 7000 [size=128]
        Expansion ROM at <ignored> [disabled]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nouveau
Comment 1 Edouard Bourguignon 2014-01-03 05:48:48 EST
Same problem on F20
Comment 2 Ben Skeggs 2014-01-06 20:14:30 EST
Can I get the output of running the "dmesg" command while using nouveau please.
Comment 3 Edouard Bourguignon 2014-01-13 05:04:04 EST
Created attachment 849246 [details]
dmesg while using nouveau

the dmesg as requested
Comment 4 Ben Skeggs 2014-01-13 21:20:37 EST
Do things work if you boot with "nouveau.config=NvMXMDCB=0"?

If so, can I get a new dmesg without that option, but with "nouveau.debug=MXM=debug".

Thanks!
Comment 5 Edouard Bourguignon 2014-12-30 04:52:21 EST
sorry don't have this computer anymore. It was working fine on archlinux so I suppose by the time it is now fixed.

Note You need to log in before you can comment on or make changes to this bug.